# op_sub_traits< S1, S2, T1, T2 > Struct Template Reference
[Operators]

The type of the result of substraction between two Element instances. More...

List of all members.

## Detailed Description

### template<typename S1, typename S2, typename T1, typename T2>
struct vcsn::op_sub_traits< S1, S2, T1, T2 >

The type of the result of substraction between two Element instances.

By default, the result type is the type of the first argument.

Definition at line 57 of file element_op_traits.hh.